<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'mod_stream', language 'en'.
 *
 * @package    mod_stream
 * @copyright  2024 mattandor <mattan@centricapp.co.il>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['modulename'] = 'STREAM';
$string['modulenameplural'] = 'STREAM';
$string['modulename_help'] =
        'STREAM is a plugin that simplifies and adds a lot of security in Moodle transactions with the Video Library';
$string['stream:addinstance'] = 'Add a new STREAM';
$string['stream:submit'] = 'Submit STREAM';
$string['stream:view'] = 'View STREAM';
$string['stream'] = 'STREAM';
$string['pluginadministration'] = 'STREAM administration';
$string['pluginname'] = 'STREAM';
$string['privacy:metadata'] =
        'The STREAM if integrated with <a href="https://www.centricstream.co.il">CentricApp</a> will save data for detection of piracy.';
$string['loadind'] = 'Loading video list...';
$string['name_title'] = 'Title';

$string['safety_title'] = 'Security';
$string['safety_desc'] = 'About the Player show?';
$string['safety_none'] = 'Anything';
$string['safety_id'] = 'Student ID';

$string['identifier'] = 'Video identifier';
$string['identifier_help'] = 'Identifier of the video only in Stream.';
$string['topic'] = 'Video Topic';
$string['apiidentifier'] = 'Stream API Identifier';
$string['apiidentifier_desc'] = 'The identifier field to use when making a call to the Stream API';
$string['apiendpoint'] = 'Stream API Endpoint';
$string['apiendpoint_desc'] = 'Choose which Stream API endpoint the Stream activity will use to connect.';
$string['accountid'] = 'Stream account ID';
$string['accountid_desc'] = '';
$string['search'] = 'Search';
$string['connectionsettings'] = 'Connection settings';
$string['connectionsettings_desc'] = 'These settings define how Moodle connects to Stream.';
